package de.conversationtest;

import java.io.Serializable;
import javax.enterprise.context.Conversation;
import javax.enterprise.context.ConversationScoped;
import javax.faces.context.FacesContext;
import javax.inject.Inject;
import javax.inject.Named;

/**
 *
 * @author Philipp Plogmann
 */
@ConversationScoped
@Named
public class TestBean implements Serializable {

    @Inject
    Conversation conversation;
    private String value;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String createConversation() {
        System.err.println("createConversation triggered");
        setValue(Math.random() + "");
        conversation.begin();
        return null;
    }

    public String createConversationAndSession() {
        System.err.println("createConversationAndSession triggered");
        setValue(Math.random() + "");
        FacesContext.getCurrentInstance().getExternalContext().getSessionMap().put("test", Boolean.TRUE);
        conversation.begin();
        return null;
    }

    public void testIfValue() {
        System.err.println("testIfValue: " + getValue());
    }
}